Get Transfer Transaction
Retrieves the current status and details of a specific transfer transaction.
API scope required: wallets:transactions.read
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
A token locator that supports native tokens, fungible tokens, and NFTs across different chains. It can be of the format:
chain:address[:tokenId]chain:currencychain:address
Response
The transfer transaction has been successfully retrieved.
- EVM MPC Wallet
- EVM Smart Wallet
- Stellar Smart Wallet
- Solana Smart Wallet
- Solana MPC Wallet
Complete transaction response including status, signing requirements, and wallet type specific data
The blockchain type of the wallet
aptos, evm, solana, stellar, sui ISO timestamp when the transaction was created
Unique identifier for the transaction
Transaction data specific to EVM MPC wallets
Current status of the transaction
awaiting-approval, failed, pending, success The wallet type (smart or mpc)
mpc, smart Complete approval data including requirements, pending and submitted signatures
ISO timestamp when the transaction reached finality
Error message if the transaction fails after submission
- Option 1
- Option 2
- Option 3
Transaction fee information including actual transaction fees, billed amounts, and billing status

